Bug 1792309 - [4.3] ovn-kubernetes ipv6 support for cluster-network-operator
Summary: [4.3] ovn-kubernetes ipv6 support for cluster-network-operator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.z
Assignee: Dan Winship
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On: 1792298 1796618
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-17 13:52 UTC by Dan Winship
Modified: 2020-03-24 14:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1792298
Environment:
Last Closed: 2020-03-24 14:32:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 450 None closed Bug 1792309: IPv6 backports for 4.3 2020-07-10 16:26:07 UTC
Red Hat Product Errata RHBA-2020:0858 None None None 2020-03-24 14:32:48 UTC

Description Dan Winship 2020-01-17 13:52:00 UTC
+++ This bug was initially created as a clone of Bug #1792298 +++



--- Additional comment from Dan Winship on 2020-01-17 08:50:56 EST ---

tested by ipv6 developers/testers. Not QE-able at this time.

Comment 2 zhaozhanqi 2020-02-06 04:40:07 UTC
Met error when using payload registry.svc.ci.openshift.org/ocp/release:4.3.0-0.nightly-2020-02-05-220314

level=debug msg="      Loading Pull Secret..."
level=debug msg="      Loading Platform..."
level=fatal msg="failed to fetch Terraform Variables: failed to load asset \"Install Config\": invalid \"install-config.yaml\" file: [networking.serviceNetwork[0]: Invalid value: \"fd02::/112\": must use IPv4, networking.clusterNetwork[0].cidr: Invalid value: \"fd01::/48\": must use IPv4]"t

Comment 3 zhaozhanqi 2020-02-06 13:22:18 UTC
for now I still cannot setup one ipv6 cluster with 4.3.z and 4.4 nightly build except using KNI branch.
see 4.4 ipv6 bugs https://bugzilla.redhat.com/show_bug.cgi?id=1798878

Comment 4 Dan Winship 2020-02-06 13:57:03 UTC
QE is not going to be able to test any of the IPv6 backports yet. There are other people working on this though.

Comment 5 zhaozhanqi 2020-02-07 00:57:42 UTC
@Dan thanks the information.

Comment 6 Dan Winship 2020-02-07 14:25:25 UTC
Assigning all 4.3.z IPv6 bugs to Marius Cornea for QA, as they are not yet QA-able in stock release-4.3 builds.

Comment 7 Marius Cornea 2020-02-11 21:58:08 UTC
This BZ cannot be verified for now on the 4.3-ipv6 release as the latest build(4.3.0-0.nightly-2020-02-10-055634-ipv6.3) includes a custom cluster-network-operator image according to https://github.com/openshift-kni/ocp-ipv6/blob/master/builds.yaml

Comment 9 zhaozhanqi 2020-03-13 03:42:31 UTC
this issue can be verified since it's has been merged to latest nightly 4.3 build

Comment 12 errata-xmlrpc 2020-03-24 14:32:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0858


Note You need to log in before you can comment on or make changes to this bug.